#!/bin/bash
#
# simple-sync-phone:bin/api/gui/rsync-to-phone-terminal-api.sh
#
function run_from_terminal {
  if which gnome-terminal >/dev/null ; then
  (
    [ "${VERBOSE:-}" = "true" ] && set -x
    gnome-terminal --title='simple-sync-phone' --hide-menubar --wait -- "$@"
  ) || return $?
  elif which xterm >/dev/null ; then
  (
    [ "${VERBOSE:-}" = "true" ] && set -x
    xterm -e "$@"
  ) || return $?
  else
    dialog_input "Can't find gnome-terminal or xterm.\nTry using following command in terminal:" "$@"
    return 100
  fi
}
